Reports
Campaign and automation performance reports.
Campaign and automation performance reports.
Retrieve detailed reports for all sent email campaigns within a specified date range. Provides comprehensive statistics and performance metrics for campaigns sent during the defined period.
curl "https://api.flashy.app/reports/emails?from=1640995200&to=1643673600" \
-H "x-api-key: YOUR_API_KEY"
{
"success": true,
"data": [
{
"campaign_id": 24,
"campaign_name": "Any Campaign Title",
"subject_line": "The campaign subject line",
"sent_date": "2021-12-29",
"sent_time": "06:27:11",
"day_of_week": "Wednesday",
"total_recipients": 300,
"total_delivered": 300,
"delivery_rate": "100%",
"total_opens": 0,
"open_rate": "0%",
"unique_clicks": 0,
"total_clicks": 10,
"click_through_rate_ctr": "0%",
"purchases": 0,
"conversion_rate": "0%",
"revenue_generated": "$0.00",
"avg_purchase_value": "$0.00",
"revenue_per_message": "$0.00",
"total_bounces": 0,
"soft_bounces": 0,
"hard_bounces": 0,
"bounce_rate": "0%",
"unsubscribed": 0,
"unsubscribe_rate": "0%",
"total_spam": 0,
"spam_rate": "0%"
}
]
}
Retrieve detailed reports for all sent SMS campaigns within a specified date range.
curl "https://api.flashy.app/reports/sms?from=1640995200&to=1643673600" \
-H "x-api-key: YOUR_API_KEY"
{
"success": true,
"data": [
{
"campaign_id": 72,
"campaign_name": "Campaign Title",
"sent_date": "2022-05-30",
"sent_time": "09:10:32",
"day_of_week": "Monday",
"total_recipients": 100,
"total_delivered": 100,
"delivery_rate": "100%",
"unique_clicks": 1,
"total_clicks": 1,
"click_through_rate_ctr": "1.00%",
"purchases": 0,
"conversion_rate": "0%",
"revenue_generated": "$0.00",
"avg_purchase_value": "$0.00",
"revenue_per_message": "$0.00",
"failed_rate": "0%",
"unsubscribed": 0,
"unsubscribe_rate": "0%"
}
]
}
Retrieve detailed reports for all automations executed within a specified date range, with a maximum allowed timespan of 31 days. The data is broken down by automation and date, allowing day-by-day performance metrics per automation.
curl "https://api.flashy.app/reports/automations?from=1640995200&to=1643673600" \
-H "x-api-key: YOUR_API_KEY"